# Enum Class Direction

java.lang.Object
java.lang.Enum<Direction>
com.treemap.swing.voronoi.smoothing.Direction

All Implemented Interfaces:
  `Serializable, Comparable<Direction>, Constable`

public enum Direction extends Enum<Direction>
A direction in the plane. As a convenience, directions provide unit vector components (manhattan metric) for both the conventional plane and screen coordinates (y axis reversed).

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `E`
  `N`
  `NE`
  `NW`
  `S`
  `SE`
  `SW`
  `W`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `screenX`
  The horizontal distance moved in this direction in screen coordinates.
  `final int`
  `screenY`
  The vertical distance moved in this direction in screen coordinates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Direction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Direction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### E

    public static final Direction E

  - ### NE

    public static final Direction NE

  - ### N

    public static final Direction N

  - ### NW

    public static final Direction NW

  - ### W

    public static final Direction W

  - ### SW

    public static final Direction SW

  - ### S

    public static final Direction S

  - ### SE

    public static final Direction SE

- ## Field Details

  - ### screenX

    public final int screenX
    The horizontal distance moved in this direction in screen coordinates.

  - ### screenY

    public final int screenY
    The vertical distance moved in this direction in screen coordinates.

- ## Method Details

  - ### values

    public static Direction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Direction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null